# textatt Struct Reference

`#include <cgmatt.h>`

## Data Fields

int | fontcount
char ** | fontlist
int | csetcount
char ** | csetlist
Enum | csetannouncer
Index | fontindex
Enum | precision
float | expansion
float | spacing
Index | colindex
RGBcolour | col
float | height
float | xup
float | yup
float | xbase
float | ybase
Enum | path
Enum | halign
Enum | valign
float | hcont
float | vcont
Index | csindex
Index | acsindex
Sharedatt * | shared

## Field Documentation

Index textatt::acsindex

RGBcolour textatt::col

Index textatt::colindex

Enum textatt::csetannouncer

int textatt::csetcount

char** textatt::csetlist

Index textatt::csindex

float textatt::expansion

int textatt::fontcount

Index textatt::fontindex

char** textatt::fontlist

Enum textatt::halign

float textatt::hcont

float textatt::height

Enum textatt::path

Enum textatt::precision

Sharedatt* textatt::shared

float textatt::spacing

Enum textatt::valign

float textatt::vcont

float textatt::xbase

float textatt::xup

float textatt::ybase

float textatt::yup

The documentation for this struct was generated from the following file:

- cgmatt.h